# 32/64bit spec-file
#
%define epoch		0

%define name		umfpack
%define NAME		UMFPACK
%define version		5.2.0
%define major		%{version}
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Routines for solving unsymmetric sparse linear systems
Name:		%{name}
Version:	%{version}
Release:	%mkrel 2
Group:		System/Libraries
License:	GPLv2+
URL:		http://www.cise.ufl.edu/research/sparse/umfpack/
Source0:	http://www.cise.ufl.edu/research/sparse/umfpack/%{NAME}-%{version}.tar.gz
BuildRequires:	amd-devel
BuildRequires:	blas-devel
BuildRequires:	suitesparse-common-devel >= 3.2.0-2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Obsoletes: 	%name < %version


%description
UMFPACK provides a set of routines for solving unsymmetric sparse
linear systems Ax=b using the Unsymmetric MultiFrontal method. It is
written in ANSI/ISO C. Note that "UMFPACK" is pronounced in two
syllables, "Umph Pack"; it is not "You Em Ef Pack".

%package -n %{libname}
Summary:	Library of routines for solving unsymmetric sparse linear systems
Group:		System/Libraries
Provides:	%{libname} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
Obsoletes:	%mklibname %{name} 5

%description -n %{libname}
UMFPACK provides a set of routines for solving unsymmetric sparse
linear systems Ax=b using the Unsymmetric MultiFrontal method. It is
written in ANSI/ISO C. Note that "UMFPACK" is pronounced in two
syllables, "Umph Pack"; it is not "You Em Ef Pack".

This package contains the library needed to run programs dynamically
linked against %{NAME}.

%package -n %{develname}
Summary:	C routines for solving unsymmetric sparse linear systems
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	blas-devel
Requires:	amd-devel
Requires:	suitesparse-common-devel >= 3.0.0
Obsoletes:	%mklibname %{name} 4.6 -d
Obsoletes:	%mklibname %{name} 5 -d
Obsoletes:	%mklibname %{name} 5 -d -s
Obsoletes:	SuiteSparse = 3.1.0

%description -n %{develname}
UMFPACK provides a set of routines for solving unsymmetric sparse
linear systems Ax=b using the Unsymmetric MultiFrontal method. It is
written in ANSI/ISO C. Note that "UMFPACK" is pronounced in two
syllables, "Umph Pack"; it is not "You Em Ef Pack".

This package contains the files needed to develop applications which
use %{name}.

%prep
%setup -q -c 
%setup -q -D -n %{name}-%{version}/%{NAME}
mkdir ../UFconfig
ln -sf %{_includedir}/suitesparse/UFconfig.* ../UFconfig

%build
pushd Lib
    %make -f GNUmakefile CC=%__cc CFLAGS="%{optflags} -fPIC -I%{_includedir}/suitesparse" INC=
    %__cc -shared -Wl,-soname,lib%{name}.so.%{major} -o lib%{name}.so.%{version} -lamd -lblas -lm *.o
popd

%install
%__rm -rf %{buildroot}

%__install -d -m 755 %{buildroot}%{_libdir} 
%__install -d -m 755 %{buildroot}%{_includedir}/suitesparse 

for f in Lib/*.so*; do
    %__install -m 755 $f %{buildroot}%{_libdir}/`basename $f`
done
for f in Lib/*.a; do
    %__install -m 644 $f %{buildroot}%{_libdir}/`basename $f`
done
for f in Include/*.h; do
    %__install -m 644 $f %{buildroot}%{_includedir}/suitesparse/`basename $f`
done

%__ln_s lib%{name}.so.%{version} %{buildroot}%{_libdir}/lib%{name}.so

%__install -d -m 755 %{buildroot}%{_docdir}/%{name}
%__install -m 644 README.txt Doc/*.txt Doc/*.pdf Doc/ChangeLog Doc/License %{buildroot}%{_docdir}/%{name}

%clean
%__rm -rf %{buildroot}

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libumfpack.so.%{major}

%files -n %{develname}
%defattr(-,root,root)
%{_docdir}/%{name}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a


%changelog
* Sat Aug 27 2016 adrianomorselli <adrianomorselli> 5.2.0-2uplos2013
- rebuild

* Wed Jan 30 2013 pinoc <vogtpet at gmail.com> 5.2.0-2pclos2013
- rebuild for 64bit

* Thu Nov 18 2009 johnnyblack <johnnyblack at inbox.com> 5.2.0-1pclos2010
- import from mdv
- gcc update
- 5.2.0

